// game_computer_screens_chooseOpponent.as

if (Object.Screen == null) {
	Object.Screen = {};
}

if (Object.Screen.ChooseOpponent == null) {
	Object.Screen.ChooseOpponent = {};
}

Object.Screen.ChooseOpponent.initScreenChooseOpponent = function (showMe) {
	findProto(Object.Screen.ChooseOpponent).implement (Object.Screen.Generic);
	this.initScreenGeneric(showMe);
	
	this.resetBtn.implement (Object.Button);
	this.resetBtn.initButton ("active");
	
	this.computerBtn.implement (Object.Button);
	this.computerBtn.initButton ("active");
	
	this.twoPlayerBtn.implement (Object.Button);
	this.twoPlayerBtn.initButton ("active");
}

Object.Screen.ChooseOpponent.buttonRelease = function (button) {
	if (button == this.resetBtn) {
		// trace("choose reset");
		_parent.resetGame();
	}
	else if (button == this.computerBtn) {
		_parent.gameComputer();
	}
	else if (button == this.twoPlayerBtn) {
		_parent.gameTwoPlayers();
	}
}


