/**
 * Baseclass Exception for the pocket package.
 */
public class PocketException
    extends Exception
{
    /**
     * Create a new PocketException with no internal message.
     */
    public PocketException(String msg)
    {
        super(msg);
    }

    /**
     * Create a new PocketException with an internal message.
     */
    public PocketException(String msg,
                           Exception exception)
    {
        this(msg +
             "\n" +
              exception);
    }
}
