Movieclip.prototype.placeClip = function (point, clip) {
	// places this movie clip relative to another movie clip

	if (clip != null) {
		// capture clip position and place it into a point object
		var clipPos = { x: clip._x, y: clip._y };
		// transform to global coordinates
		clip._parent.localToGlobal (clipPos);
		// and into the local coordinates
		this._parent.globalToLocal (clipPos);
	}
	// and place the movie clip
	this._x = clipPos.x + point.x;
	this._y = clipPos.y + point.y;
}


