#include "PocketServiceRequest.as"

/**
 * PocketServiceRequest for saving a file.
 */
function SaveFile(serverConfig)
{
    this.super(serverConfig.getServer(),
               serverConfig.getPort());
    this.setService("SaveFile");
}

/**
 * Set the name of the file to save.
 */
function setFileName(fileName)
{
    this.addParameter("fileName",fileName);
}

/**
 * Set the contents of the file to save.
 */
function setFileContent(fileContent)
{
    this.addParameter("fileContent",fileContent);
}

/**
 * Specify whether to append to the file or overwrite.
 */
function append(append)
{
    this.addParameter("append",append);
}

SaveFile.prototype.__proto__       = PocketServiceRequest.prototype;
SaveFile.prototype.super           = PocketServiceRequest.prototype.constructor;
SaveFile.prototype.setFileName     = setFileName;
SaveFile.prototype.setFileContent  = setFileContent;
SaveFile.prototype.append          = append;
